package com.ss.android.ugc.aweme.compliance.api.services.teenmode;

import X.AnonymousClass40S;
import X.C45623zm;
import X.Epj;
import X.KCq;
import X.KT7;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.List;

public interface IProtectionService {
    static {
        Covode.recordClassIndex(60572);
    }

    List<KCq> LIZ(KT7 kt7);

    void LIZ(AnonymousClass40S r1);

    void LIZ(Context context, String str, Runnable runnable);

    boolean LIZ();

    boolean LIZ(C45623zm<Boolean> r1, String str);

    int LIZIZ();

    boolean LIZJ();

    boolean LIZLLL();

    void LJ();

    boolean LJFF();

    void LJI();

    int LJII();

    void LJIIIIZZ();

    Epj LJIIIZ();

    void LJIIJ();
}
